Bug 427739 (CVE-2008-0005) - CVE-2008-0005 mod_proxy_ftp XSS
Summary: CVE-2008-0005 mod_proxy_ftp XSS
Status: CLOSED CURRENTRELEASE
Alias: CVE-2008-0005
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard: public=20080102,impact=low,reported=2...
Keywords: Security
Depends On: 427971 427740 427741 427742 427743 427744 427745 427746 427747 427972 427973 427982 427983 427984
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-07 11:22 UTC by Mark J. Cox
Modified: 2016-03-04 10:52 UTC (History)
1 user (show)

Fixed In Version: 2.2.8-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-16 02:08:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0004 normal SHIPPED_LIVE Moderate: apache security update 2008-01-15 09:09:50 UTC
Red Hat Product Errata RHSA-2008:0005 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:17:20 UTC
Red Hat Product Errata RHSA-2008:0006 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:25:40 UTC
Red Hat Product Errata RHSA-2008:0007 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:34:00 UTC
Red Hat Product Errata RHSA-2008:0008 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-15 09:38:32 UTC
Red Hat Product Errata RHSA-2008:0009 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-21 09:36:23 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Mark J. Cox 2008-01-07 11:22:24 UTC
According to this Apache httpd commit:
http://marc.info/?l=apache-cvs&m=119930222400965&w=2

+  *) Add explicit charset to the output of various modules to work around
+     possible cross-site scripting flaws affecting web browsers that do not
+     derive the response character set as required by  RFC2616.  One of these
+     reported by SecurityReason [Joe Orton]

Only mod_proxy_ftp seems to have security implications.

Comment 6 Fedora Update System 2008-02-13 14:28:34 UTC
httpd-2.2.8-1.fc8 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-02-13 14:32:57 UTC
httpd-2.2.8-1.fc7 has been submitted as an update for Fedora 7

Comment 8 Fedora Update System 2008-02-16 02:08:10 UTC
httpd-2.2.8-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-02-16 02:10:50 UTC
httpd-2.2.8-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2010-08-04 21:33:00 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.